import { PublicKey } from '@solana/web3.js';
import { Group } from './accounts/group';
import { MangoAccount, PerpPosition } from './accounts/mangoAccount';
import { PerpMarket } from './accounts/perp';
import { MangoClient } from './client';
import { I80F48 } from './numbers/I80F48';
/**
 * Returns a list of perp positions alongwith their mango account, sorted descending by notional value
 * @param client
 * @param group
 * @returns
 */
export declare function getLargestPerpPositions(client: MangoClient, group: Group, accounts?: MangoAccount[], perpMarket?: PerpMarket): Promise<{
    mangoAccount: PublicKey;
    perpPosition: PerpPosition;
}[]>;
/**
 * Returns a list of perp positions alongwith their mango account, sorted ascending by closest to liquidation
 * @param client
 * @param group
 * @param filterByNotionalValueUi
 * @returns
 */
export declare function getClosestToLiquidationPerpPositions(client: MangoClient, group: Group, accounts?: MangoAccount[], filterByNotionalValueUi?: number): Promise<{
    mangoAccount: PublicKey;
    perpPosition: PerpPosition;
    pct: I80F48;
}[]>;
//# sourceMappingURL=stats.d.ts.map